<input type="file" (change)="uploadFile($event)" />
<pre>
  {{ xlsData2017 | json }}
</pre>
<table class="table" *ngIf="totalSum?.length > 0">
  <tr>
    <th>Readings Date</th>
    <th>Daily Total Sum</th>
    <th>Total Num Of Readings Daily</th>
    <th>Daily Average</th>
    <th>Reading Place</th>
  </tr>
  <tr *ngFor="let item of totalSum2016">
    <td> {{ item?.reading_date }} </td>
    <td> {{ item?.daily_total }} </td>
    <td> {{ item?.total_num_of_readings_daily }} </td>
    <td> {{ item?.daily_average }} </td>
    <td> {{ item?.reading_place }} </td>
  </tr>
</table>